com.ibm.openpages.api.respview

## Interface IDashboardPanel

-     public interface IDashboardPanel

  Represents dashboard panel
  Since:
    8.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDashboardPanel.DashboardPanelType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAggregationFieldName()` Returns the aggregation Field
    `java.util.Map<java.lang.String,java.lang.Object>` | `getChartAttrs()` Get the custom attributes that are needed by the chart
    `java.lang.String` | `getChartDataField()` Returns the field name that is used by the chart
    `java.lang.String` | `getChartType()` Returns the type of chart
    `java.lang.String` | `getColumn2Field()` Returns the column2Field
    `java.util.Map<java.lang.String,java.lang.String>` | `getDueDateCategoryColors()` Returns due-date category colors
    `java.lang.Integer` | `getDueSoonCutoff()` Returns the due to cut off in week
    `java.util.List<java.lang.String>` | `getFieldNames()` Returns the names of the fields used by a dashboard component (i.e.
    `Id` | `getFilterId()` Returns the filter Id
    `java.lang.String` | `getName()` Returns name of the dashboard panel
    `java.util.List<ILabel>` | `getNameLabels()` Returns the panel name labels for all locales
    `java.lang.String` | `getObjectTypeName()` Returns the object type name
    `java.lang.String` | `getReportDataSource()` Returns the report data source
    `java.lang.String[]` | `getSearchFFP()` Returns facet folder path
    `java.lang.String[]` | `getSearchFOT()` Returns facet object types
    `java.lang.String` | `getSummaryType()` Returns the summary Type
    `IDashboardPanel.DashboardPanelType` | `getType()` Returns type of the dashboard panel
    `java.util.UUID` | `getUuid()` Returns the UUID of the dashboard panel
    `java.util.List<IDashboardWidget>` | `getWidgets()` Returns the list of dashboard widgets
    `boolean` | `isHidden()` Returns the hidden status of the dashboard panel
    `boolean` | `isLocked()` Returns the locked status of the dashboard panel
    `void` | `setAggregationFieldName(java.lang.String aggregationField)` Sets the Aggreation field
    `void` | `setChartAttrs(java.util.Map<java.lang.String,java.lang.Object> chartAttrs)` Set the custom attributes that are needed by the chart
    `void` | `setChartDataField(java.lang.String chartDataField)` Sets the field name that is used by the chart
    `void` | `setChartType(java.lang.String chartType)` Sets the type of chart
    `void` | `setColumn2Field(java.lang.String column2Field)` Sets the column2Field
    `void` | `setDueDateCategoryColors(java.util.Map<java.lang.String,java.lang.String> dueDateCategoryColors)` Sets due-date category colors
    `void` | `setDueSoonCutoff(java.lang.Integer dueSoonCutoff)` Sets the due to cut off in week
    `void` | `setFieldNames(java.util.List<java.lang.String> fields)` Sets the field names that are used by the chart or other dashboard component (i.e.
    `void` | `setFilterId(Id filterId)` Sets the filter Id
    `void` | `setHidden(boolean isLocked)` Sets the locked status of the dashboard panel
    `void` | `setLocked(boolean isLocked)` Sets the locked status of the dashboard panel
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of panel name labels
    `void` | `setObjectTypeName(java.lang.String name)` Sets the object type by name
    `void` | `setReportDataSource(java.lang.String reportDataSource)` Sets the report dataSource
    `void` | `setSearchFFP(java.lang.String[] searchFFP)` Sets facet folder path
    `void` | `setSearchFOT(java.lang.String[] searchFOT)` Sets facet object types
    `void` | `setSummaryType(java.lang.String summaryType)` Sets the summary type
    `void` | `setUuid(java.util.UUID uuid)` Sets the UUID of the dashboard panel
    `void` | `setWidgets(java.util.List<IDashboardWidget> widgets)` Sets the list of dashboard widgets

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns name of the dashboard panel
      Returns:

    - #### getUuid

          java.util.UUID getUuid()

      Returns the UUID of the dashboard panel
      Returns:

    - #### setUuid

          void setUuid(java.util.UUID uuid)

      Sets the UUID of the dashboard panel
      Parameters:
        `uuid` -

    - #### isLocked

          boolean isLocked()

      Returns the locked status of the dashboard panel
      Returns:

    - #### setLocked

          void setLocked(boolean isLocked)

      Sets the locked status of the dashboard panel
      Parameters:
        `chartType` -

    - #### isHidden

          boolean isHidden()

      Returns the hidden status of the dashboard panel
      Returns:

    - #### setHidden

          void setHidden(boolean isLocked)

      Sets the locked status of the dashboard panel
      Parameters:
        `chartType` -

    - #### getType

          IDashboardPanel.DashboardPanelType getType()

      Returns type of the dashboard panel
      Returns:

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the panel name labels for all locales
      Returns:
        `ILabel` the panel name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of panel name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getWidgets

          java.util.List<IDashboardWidget> getWidgets()

      Returns the list of dashboard widgets
      Returns:

    - #### setWidgets

          void setWidgets(java.util.List<IDashboardWidget> widgets)

      Sets the list of dashboard widgets
      Parameters:
        `widgets` -

    - #### getObjectTypeName

          java.lang.String getObjectTypeName()

      Returns the object type name
      Returns:

    - #### setObjectTypeName

          void setObjectTypeName(java.lang.String name)

      Sets the object type by name
      Parameters:
        `name` -

    - #### getFilterId

          Id getFilterId()

      Returns the filter Id
      Returns:

    - #### setFilterId

          void setFilterId(Id filterId)

      Sets the filter Id
      Parameters:
        `filterId` -

    - #### getChartType

          java.lang.String getChartType()

      Returns the type of chart
      Returns:

    - #### setChartType

          void setChartType(java.lang.String chartType)

      Sets the type of chart
      Parameters:
        `chartType` -

    - #### getChartDataField

          java.lang.String getChartDataField()

      Returns the field name that is used by the chart
      Returns:

    - #### setChartDataField

          void setChartDataField(java.lang.String chartDataField)

      Sets the field name that is used by the chart
      Parameters:
        `chartDataField` -

    - #### getFieldNames

          java.util.List<java.lang.String> getFieldNames()

      Returns the names of the fields used by a dashboard component (i.e. Gantt Chart)
      Returns:

    - #### setFieldNames

          void setFieldNames(java.util.List<java.lang.String> fields)

      Sets the field names that are used by the chart or other dashboard component (i.e. Gantt Chart)
      Parameters:
        `fields` -

    - #### getChartAttrs

          java.util.Map<java.lang.String,java.lang.Object> getChartAttrs()

      Get the custom attributes that are needed by the chart
      Returns:

    - #### setChartAttrs

          void setChartAttrs(java.util.Map<java.lang.String,java.lang.Object> chartAttrs)

      Set the custom attributes that are needed by the chart

    - #### getDueSoonCutoff

          java.lang.Integer getDueSoonCutoff()

      Returns the due to cut off in week
      Returns:

    - #### setDueSoonCutoff

          void setDueSoonCutoff(java.lang.Integer dueSoonCutoff)

      Sets the due to cut off in week
      Parameters:
        `dueSoonCutoff` -

    - #### getDueDateCategoryColors

          java.util.Map<java.lang.String,java.lang.String> getDueDateCategoryColors()

      Returns due-date category colors
      Returns:

    - #### setDueDateCategoryColors

          void setDueDateCategoryColors(java.util.Map<java.lang.String,java.lang.String> dueDateCategoryColors)

      Sets due-date category colors
      Parameters:
        `dueDateCategoryColors` -

    - #### getColumn2Field

          java.lang.String getColumn2Field()

      Returns the column2Field
      Returns:

    - #### getReportDataSource

          java.lang.String getReportDataSource()

      Returns the report data source
      Returns:

    - #### setColumn2Field

          void setColumn2Field(java.lang.String column2Field)

      Sets the column2Field
      Parameters:
        `column2Field` -

    - #### setReportDataSource

          void setReportDataSource(java.lang.String reportDataSource)

      Sets the report dataSource
      Parameters:
        `dataSource` -

    - #### getSearchFOT

          java.lang.String[] getSearchFOT()

      Returns facet object types
      Returns:

    - #### setSearchFOT

          void setSearchFOT(java.lang.String[] searchFOT)

      Sets facet object types
      Parameters:
        `searchFOT` -

    - #### getSearchFFP

          java.lang.String[] getSearchFFP()

      Returns facet folder path
      Returns:

    - #### setSearchFFP

          void setSearchFFP(java.lang.String[] searchFFP)

      Sets facet folder path
      Parameters:
        `searchFFP` -

    - #### getSummaryType

          java.lang.String getSummaryType()

      Returns the summary Type
      Returns:

    - #### setSummaryType

          void setSummaryType(java.lang.String summaryType)

      Sets the summary type
      Parameters:
        `summaryType` -

    - #### getAggregationFieldName

          java.lang.String getAggregationFieldName()

      Returns the aggregation Field
      Returns:

    - #### setAggregationFieldName

          void setAggregationFieldName(java.lang.String aggregationField)

      Sets the Aggreation field
      Parameters:
        `aggregation` - field

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.